﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Chapter12
{
    public class OrderRefunds
    {
        // task that needs a web service or api to do the customer refunds
        // task ? flag to use simultanious Threads
        // paradigm > workflow for Thread tasks, breaks down our program to smaller tasks

    public int OrderID
        {
            get; set;   
        } 

    public double RefundAmount
        {
        get; set; }

        // async task to execute theu the Thread Class
        public async Task ProcessRefundAsync()
        {
            // operations to run
            Console.WriteLine($"{OrderID} {RefundAmount} Started.");

            // Want to start the tasks with a delay
            await Task.Delay(10000); // 2.5 sec delay between the refunds

            // Logic that runs each tasks
            Console.WriteLine($"{OrderID} {RefundAmount} Completed.");
        
        } // ProcessRefund


    
    }

}
