﻿// Program class > executes the program

using Chapter12;

class Program
{

    static void Main(string[] args)
    {
        // try {}
        // Task Execution

        OrderRefunds refund1 = new OrderRefunds {  OrderID = 14, 
         RefundAmount = 25.50
          };

        OrderRefunds refund2 = new OrderRefunds
        {
            OrderID = 26,
            RefundAmount = 86.50
        };

        // Queue the refunds
        Task task1 = refund1.ProcessRefundAsync(); // 15 minutes
        Task task2 = refund2.ProcessRefundAsync(); // 12 minutes

        // doing something else in Main Process
        int x = 7; // Main Process
        int y = 3; // Main Process
        int z = x + y; // Main Process
        Console.WriteLine("Main Process for add operator: " + z); // Main Process  10

        // Main Process has now started 2 subprocesses
        // Main Process start()
        // task1 subprocess start() stop()
        // task2 subprocess start() stop()

        // catch (Exception err) {}

        // finally {}
        // Pause Main and wait for 2 tasks to complete
        // We can run the Task Threading in sync if task1 needs to complete before task1
        Task.WaitAll(task1, task2);

        // Main stop()

    } // Main

}// Program
